Bug 14108 - manual chapter 3.1.6 on patron card creator - revision
Summary: manual chapter 3.1.6 on patron card creator - revision
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: 3.18
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nicole C. Engard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-01 15:15 UTC by Heinrich Hartl
Modified: 2015-12-03 22:02 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Revised manual chapter (3.) 1.6 Patron Card Creator (231.03 KB, application/vnd.oasis.opendocument.text)
2015-05-01 15:15 UTC, Heinrich Hartl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heinrich Hartl 2015-05-01 15:15:07 UTC
Created attachment 38749 [details]
Revised manual chapter (3.) 1.6 Patron Card Creator

The manual description for patron card creator as of 3.18 was incomplete and not consistent with the current program. 

Please find attached the revised chapter. Any comments for further improvement are welcome. Providing it in .odt format is in agreement with nengard. The tool oxygen is not available for me. Also she could not suggest any other tool that allows .xml editing + inspecting e.g. a .html transform thereof. 

The initial document content was copied from chapter (3.) 1.6 in http://manual.koha-community.org/3.18/en/index.html and pasted in a virgin .odt document. All the text changes are recorded. I ended with changing quite a lot, so looking at the document with viewing changes enabled is a little bit confusing but fortunately viewing changes can be disabled at least in my LibrOffice writer. To present the information in the order given by the left side menu I moved the chapter on layout to (3.) 1.6.1. Screen snapshots were taken with irfanview.
Comment 1 Nicole C. Engard 2015-05-04 16:48:40 UTC
I am slowly copying the text out of the doc and in to the manual's XML. 

To answer your question - the text was copied from the page in Koha many years ago and probably never edited in the manual. They are not linked in any way.

** I don't know what this means "Multiple virgin card labels are assumed to be arranged in a grid on a sheet."
Comment 2 Nicole C. Engard 2015-05-04 17:15:50 UTC
You say: "As of 3.18.5 this is a relict of functionallity that is removed. If you want labels for both sides of your patron cards you have to define two layouts and print a batch for each side."

I don't like to put bugs in the manual - is there a bug report to remove these options or fix them?  

Or are these choices just there (front and back) for the library to track what side they're designing?  That's how I'll write it.
Comment 3 Nicole C. Engard 2015-05-04 18:12:03 UTC
Added the manual: http://git.koha-community.org/gitweb/?p=kohadocs.git;a=commitdiff;h=0fa2fb63e2249cd9d9b9b1edd925b85540359656 most of this was just rewording of what was already said - in that case I did not change the manual so that the manual remains in one tone of language.

Nicole
Comment 4 Heinrich Hartl 2015-05-04 21:50:11 UTC
(In reply to Nicole C. Engard from comment #1)
> I am slowly copying the text out of the doc and in to the manual's XML. 
> 
> To answer your question - the text was copied from the page in Koha many
> years ago and probably never edited in the manual. They are not linked in
> any way.
> 
> ** I don't know what this means "Multiple virgin card labels are assumed to
> be arranged in a grid on a sheet."

In the text Avery 5160 is mentioned as an example. This Avery product actually is a box of 100 sheets to be fed into the printer as needed. On each sheet you find 30 self adhesive blank labels each 1" by 2-5/8" three in a row and 10 rows per sheet. The arrangement 3*10 in my words is a grid of labels. I have no better term for such a rectangular arrangement. I don't think matrix is better. The functionality of patron card creator allows to print in a first batch e.g. only 10 patron cards - if you start printing on label 1 the 9 labels in the first three rows and one extra, the left one in row 4 are printed. The printed labels are likely to be peeled off the sheet and used for the actual patron cards. The next time printing a batch of patron cards you might use the same sheet again (only 10 labels are used so far, 20 more are on the sheet) but start printing on label 11 i.e in row 4 the second label.
Comment 5 Nicole C. Engard 2015-05-04 23:20:26 UTC
I feel this information is really not necessary for the manual.  People might buy one card at a time and print them - they might buy a sheet of cards. There are too many options here to assume that the paper is in a 'grid' format.

Nicole
Comment 6 Heinrich Hartl 2015-05-05 11:07:08 UTC
(In reply to Nicole C. Engard from comment #5)
> I feel this information is really not necessary for the manual.  People
> might buy one card at a time and print them - they might buy a sheet of
> cards. There are too many options here to assume that the paper is in a
> 'grid' format.
> 
> Nicole

Everything in the template (+ the start value when exporting a batch is only provided to deal with printing on a sheet on which a grid of labels is arranged whereas the layout deals with a single patron card. Please make up your mind - either we explain how to print onto sheets with multiple labels arranged in a grid or delete templates from the patron card creator all together. Actually if people decide to use patron card creator for printing on a single card they have to define a template with a 1 by 1 grid! Moreover there is also a provision for a printer profile which also handles a specific problem associated with such a grid : creep!